Hi, it's since mesa 8.0.4 that I can't compile mesa git anymore. Currently I'm getting this error:
Code:
In file included from egldriver.h:36:0,
                 from eglapi.c:94:
eglapi.h:126:90: warning: 'struct wl_buffer' declared inside parameter list [enabled by default]
eglapi.h:126:90: warning: its scope is only this definition or declaration, which is probably not what you want [enabled by default]
eglapi.c: In function 'eglGetProcAddress':
eglapi.c:943:47: error: 'eglQueryWaylandBufferWL' undeclared (first use in this function)
eglapi.c:943:47: note: each undeclared identifier is reported only once for each function it appears in
eglapi.c: At top level:
eglapi.c:1547:25: warning: 'struct wl_buffer' declared inside parameter list [enabled by default]
eglapi.c:1546:1: error: no previous prototype for 'eglQueryWaylandBufferWL' [-Werror=missing-prototypes]
eglapi.c: In function 'eglQueryWaylandBufferWL':
eglapi.c:1559:4: warning: passing argument 3 of 'drv->API.QueryWaylandBufferWL' from incompatible pointer type [enabled by default]
eglapi.c:1559:4: note: expected 'struct wl_buffer *' but argument is of type 'struct wl_buffer *'
cc1: some warnings being treated as errors
make[3]: *** [eglapi.lo] Errore 1
make[3]: *** Attesa per i processi non terminati....
In file included from egldriver.h:36:0,
                 from eglfallbacks.c:31:
eglapi.h:126:90: warning: 'struct wl_buffer' declared inside parameter list [enabled by default]
eglapi.h:126:90: warning: its scope is only this definition or declaration, which is probably not what you want [enabled by default]
In file included from egldriver.h:36:0,
                 from eglglobals.c:35:
eglapi.h:126:90: warning: 'struct wl_buffer' declared inside parameter list [enabled by default]
eglapi.h:126:90: warning: its scope is only this definition or declaration, which is probably not what you want [enabled by default]
make[3]: uscita dalla directory "/home/xxx/Downloads/mesa/src/egl/main"
make[2]: *** [all-recursive] Errore 1
make[2]: uscita dalla directory "/home/xxx/Downloads/mesa/src/egl"
make[1]: *** [all-recursive] Errore 1
make[1]: uscita dalla directory "/home/xxx/Downloads/mesa/src"
make: *** [all-recursive] Errore 1
and this is the script I always used to compile the whole stuff. I have not any problem under fedora, that error comes out only under ubuntu:

Code:
#!/bin/bash
sudo apt-get build-dep libdrm mesa xserver-xorg-video-ati xorg-server
sudo apt-get install libxcb-glx0-dev libxmu-dev libxi-dev llvm-2.8-dev git autoconf libtool make flex bison

sudo mkdir -p /opt/xorg/share/aclocal
export PKG_CONFIG_PATH=/opt/xorg/lib/pkgconfig:/opt/xorg/share/pkgconfig
export LDFLAGS=-L/opt/xorg/lib CPPFLAGS=-I/opt/xorg/include
export ACLOCAL="/usr/bin/aclocal -I /opt/xorg/share/aclocal"

cd ~/Downloads
git clone git://anongit.freedesktop.org/mesa/drm
git clone git://anongit.freedesktop.org/mesa/mesa
git clone git://anongit.freedesktop.org/xorg/driver/xf86-video-ati
git clone git://people.freedesktop.org/~mareko/libtxc_dxtn
git clone git://anongit.freedesktop.org/xorg/driver/glamor

cd drm
./autogen.sh --prefix=/opt/xorg/
make -j3
sudo make install

cd ../mesa
./autogen.sh --prefix=/opt/xorg/ --with-dri-drivers="" --with-gallium-drivers="r600" --enable-gallium-egl --enable-openvg --enable-gles1 --enable-gles2 --enable-texture-float --with-dri-driverdir=/opt/xorg/lib/dri/ LLVM_CONFIG=/usr/lib/llvm-2.8/bin/llvm-config --with-egl-platforms=x11,drm --enable-gbm --enable-shared-glapi --enable-glx-tls
make -j3
sudo make install

cd ../glamor
./autogen.sh --prefix=/opt/xorg
make -j3
sudo make install

cd ../xf86-video-ati
./autogen.sh --prefix=/opt/xorg/ --enable-glamor
make -j3
sudo make install

cd ../libtxc_dxtn
./autogen.sh --prefix=/opt/xorg/
make -j3
sudo make install